ONVIF::Media::Elements::GetStreamUri(3)

NAME
ONVIF::Media::Elements::GetStreamUri

DESCRIPTION
Perl data type class for the XML Schema defined element GetStreamUri from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   StreamSetup

     $element->set_StreamSetup($data);
     $element->get_StreamSetup();

•   ProfileToken

     $element->set_ProfileToken($data);
     $element->get_ProfileToken();

METHODS

  new
 my $element = ONVIF::Media::Elements::GetStreamUri->new($data);

Constructor. The following data structure may be passed to new():

 {
   StreamSetup =>  { # ONVIF::Media::Types::StreamSetup
     Stream => $some_value, # StreamType
     Transport =>  { # ONVIF::Media::Types::Transport
       Protocol => $some_value, # TransportProtocol
     },
   },
   ProfileToken => $some_value, # ReferenceToken
 },

AUTHOR
Generated by SOAP::WSDL